
Core - Bug # 51667

Status: Closed Priority: Must have
Author: Martin Borer Category: Install Tool
Created: 2013-09-03 Assigned To:
Updated: 2013-12-18 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus:
Subject: Inf. redirection loop after first Step of Install Tool
Description

System environment check
After clicking: I know what I'm doing, continue! (only warnings)

The dummy folders were created, but install tool stops with an infinite redirection loop.

Tested with current master Branch on Windows and Mac.

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Bug # 51433: Install tool: Refactor database connect config... Resolved 2013-08-28
related to Core - Bug # 51956: Install Tool does not ask for database settings Resolved 2013-09-12
related to Core - Bug # 53997: 123 Installer tries to find database before th... Closed 2013-11-27

History
#1 - 2013-09-04 15:10 - Martin Borer
Found out how to reproduce the problem:
    -  Add a MySQL User with no username and no password.
    -  This will lead to a successfull DB-Connection during DatabaseConnect Step.
    -  The step will be skiped and this leads to a infinite redirection loop.

It's possible to fix this by checking username in
TYPO3\CMS\Install\Controller\Action\Step\DatabaseConnect->isConnectSuccessful

don't know if this is the right solution, database connections without a username will be not possible after this kind of fix..

#2 - 2013-09-04 15:49 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23614

#3 - 2013-09-04 23:50 - Ernesto Baschny
- Target version set to 6.2.0

#4 - 2013-09-05 11:24 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23614

#5 - 2013-09-09 14:01 - Ernesto Baschny
- Is Regression set to No

Please check if this https://review.typo3.org/#/c/23394 fixes the problem.

#6 - 2013-09-11 22:06 - Christian Kuhn
- Status changed from Under Review to Closed

Handled with issue #51433, please test latest version of https://review.typo3.org/#/c/23394 to test this.
